Skip to main content
PUT
Update an add-on definition

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

definition_name
string
required

The add-on definition's name (a lowercase slug).

Maximum string length: 100

Body

application/json
display_name
string
required
Maximum string length: 200
description
string | null
website_url
string | null
documentation_url
string | null
icon_url
string | null
category
string | null
match_chart_names
string[]

Chart names this add-on matches.

match_keywords
string[]

Chart keywords this add-on matches.

match_home_url_prefixes
string[]

Chart home URL prefixes this add-on matches.

Response

The updated definition.

The wire shape of a definition.

id
string<uuid>
required
name
string
required
display_name
string
required
description
string | null
required
website_url
string | null
required
documentation_url
string | null
required
icon_url
string | null
required
category
string | null
required
match_chart_names
string[]
required
match_keywords
string[]
required
match_home_url_prefixes
string[]
required
source
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required